from ase.io import read, write
from ase import  Atoms
import numpy as np
import copy
import sys

p0   = read('POSCAR.4x2x2',format='vasp')
p1   = read('POSCAR',format='vasp')
pt  = Atoms()
Fe_list=[]
for atom in p1:
    i = atom.index
    if atom.symbol != 'O':
        pt += p1[i]
        Fe_list.append(i)
for atom in p0:
    i = atom.index
    if atom.symbol == 'O':
        pt += p0[i]
box = p0.get_cell()
pt.set_cell(box)

write('CONTCAR_Ofull.vasp',pt,format='vasp', direct=True, vasp5=True)
